#!/bin/sh
#
# Slackware build script for Bandwidth Monitor NG
# Packager Markus Muttilainen
# Source location: http://www.volker-gropp.de/

CWD=`pwd`
TMP=${TMP:-/tmp/tgz}
PKG=$TMP/package-bwm-ng
rm -rf $PKG
mkdir -p $PKG

NAME=bwm-ng
VERSION=0.6
TARGET=i486
ARCH=${ARCH:-i486}
BUILD=66.1
SLKCFLAGS="-O2 -march=i486 -mtune=i686"

cd $TMP
rm -rf $NAME-$VERSION
tar xzvf $CWD/$NAME-$VERSION.tar.gz
cd $NAME-$VERSION
chown -R root:root .

CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
            --enable-html --enable-csv \
	    --enable-configfile --with-ncurses \
	    --with-time --with-getopt_long \
	    --with-getifaddrs --with-sysctl \
	    --with-procnetdev --with-netstatlinux \
	    --build=$TARGET-slackware-linux-gnu
	
make
mkdir -p $PKG/usr/bin

(cd src
 cat bwm-ng > $PKG/usr/bin/bwm-ng
)

chmod 755 $PKG/usr/bin/*
strip $PKG/usr/bin/*

mkdir -p $PKG/usr/man/man1
cat bwm-ng.1 > $PKG/usr/man/man1/bwm-ng.1
gzip -9 $PKG/usr/man/man?/*

mkdir -p $PKG/usr/doc/$NAME-$VERSION
cp -a AUTHORS ChangeLog README $PKG/usr/doc/$NAME-$VERSION

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc

mkdir -p /$PKG/usr/src/$NAME-$VERSION
cp $CWD/build-$NAME.sh $PKG/usr/src/$NAME-$VERSION/

(cd $PKG;find . -printf "%y %m %u:%g %p %l\n") >$CWD/pkgtree.log

cd $PKG
makepkg -l y -c n $CWD/$NAME-$VERSION-$ARCH-$BUILD.txz


